<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Cloud Computing</title>
    <meta name="description" content="Slides for the Course Big Data Tools for Advanced Professionals presentation about Cloud Computing">
    <meta name="author" content="Ole Mussmann">

    <link rel="icon" type="image/x-icon" href="./files/favicon-32x32.png">

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="dist/reset.css">
    <link rel="stylesheet" href="dist/reveal.css">

    <!-- theme -->
    <link rel="stylesheet" href="dist/theme/black.css" id="theme">
    <link rel="stylesheet" href="dist/theme/escience_5.1.0.css" id="theme">

    <!-- fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Assistant:wght@200..800&family=Fira+Code:wght@300..700&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">

    <!-- Theme used for syntax highlighted code -->
    <link rel="stylesheet" href="plugin/highlight/monokai.css">

    <!-- Load jQuery -->
    <script
      src="https://code.jquery.com/jquery-3.4.1.min.js"
      integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo="
      crossorigin="anonymous"></script>
    <script src="http://localhost:35729/livereload.js"></script>

  </head>
  <body>
    <div class="reveal">
      <div class="slides">


        <section data-state="blue_overlay yellow_flag yellow_strip purple_half_circle_bottom purple_blob right_e_top" data-background="./files/love-1672154_1920.jpg" style="height=100vh; width100vw; margin-top: 0;">
          <!-- https://pixabay.com/users/ollis_picture-3313651 under CC0 -->
          <img style="position: absolute; top: 0px; left: 50%; transform: translate(-100%, 0%); height:5vh;" data-src="./files/logo.png">
          <img style="position: absolute; top: 0px; left: 50%; transform: translate(+100%, 0%); height:5vh; background: white; opacity: 0.7; border-radius: 4px; padding: 5px;" data-src="./files/cbs-brand.svg"-->
          <img style="position: absolute; top: 0px; left: 50%; transform: translate(+100%, 0%); height:5vh; padding: 5px;" data-src="./files/cbs-brand.svg"-->
          <h2><br><br>Cloud Computing</h2>
          <h3>Kinds of Cloud Computing and Security<h3>
          <h5><br><a href="mailto:bo.mussmann@cbs.nl">Bjoern Ole Mussmann</a><br>The Netherlands eScience Center</h5>
        </section>

        <section data-state="standard 5" data-background="./files/checklist-2589418_1920.jpg" style="height=100vh; width100vw;">
          <!--
            Image by <a href="https://pixabay.com/users/StockSnap-894430/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2589418">StockSnap</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2589418">Pixabay</a>
          -->
          <h2>Table of Contents</h2>
          <ul>
            <li><a href="#/buzzword_bingo">Buzzwords Explained</a></li>
            <li><a href="#/scaling">Scaling Methods</a></li>
            <li><a href="#/security">Security</a></li>
            <li><a href="#/best_practices">Best Practices</a></li>
            <li><a href="#/discussion">Discussion</a></li>
            <li><a href="#/summary">Summary</a></li>
          </ul>
        </section>

        <section data-state="black_overlay 6 logo yellow_flag" data-background="./files/question-mark-2492009_1920.jpg" style="height=100vh; width100vw;">
          <!--Image by <a href="https://pixabay.com/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=152091">OpenClipart-Vectors</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=152091">Pixabay</a>
            Image by <a href="https://pixabay.com/users/95C-484762/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1594373">95C</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1594373">Pixabay</a>
            Image by <a href="https://pixabay.com/users/qimono-1962238/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2492009">Arek Socha</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2492009">Pixabay</a>-->
            <h2 style="margin-top: .8em;">Pokemon or Big Data?</h2>
            <div style="display: flex; flex-direction: row; justify-content: center; height: 14em; width: 100%; margin-bottom: -1em;">
              <img style="width: 20%; object-fit: contain; margin: 0 auto;" src="./files/pokeball-1594373_640.png">
              <iframe class="fragment" style="width: 70%; height: 100%; margin: 0; padding: 0;" src="https://pixelastic.github.io/pokemonorbigdata/"></iframe>
              <img style="width: 18%; object-fit: contain; margin: 0 auto;" src="./files/database-152091.svg">
            </div>
            <span style="font-size: small;"><a href="https://pixelastic.github.io/pokemonorbigdata/">https://pixelastic.github.io/pokemonorbigdata/</a></span>
        </section>

        <section>
          <!--Image by <a href="https://pixabay.com/users/mohamed_hassan-5229782/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3677319">mohamed Hassan</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3677319">Pixabay</a>-->
          <section id="buzzword_bingo" data-state="black_overlay 6 logo yellow_flag" data-background="./files/bingo-3677319_1920_dark.jpg" style="height=100vh; width100vw;">
          <h2>Buzzword Bingo</h2>
          <h3>Disentangled</h3>
          </section>

          <section data-state="black_overlay 7 logo yellow_flag" data-background="./files/deployment_2.png" data-background-position="center" style="margin-top: 1vh; height=100vh; width100vw;">
<!--
  Image by <a href="https://pixabay.com/users/Life-Of-Pix-364018/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=406986">LEEROY Agency</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=406986">Pixabay</a>
  Image by <a href="https://pixabay.com/users/B_Me-342327/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=400811">Brian Merrill</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=400811">Pixabay</a>
  Image by <a href="https://pixabay.com/users/SarahRichterArt-1546275/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2430625">Sarah Richter</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2430625">Pixabay</a>
  Image by <a href="https://pixabay.com/users/rawpixel-4283981/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3468104">rawpixel</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3468104">Pixabay</a>
-->
            <div class="fragment" style="width: 49%; float: left;">
              <h3>Private</h3>
              <ul>
                <li>Own premises</li>
                <li>Own responsibility</li>
                <li>Total control</li>
              </ul>
            </div>
            <div class="fragment" style="width: 49%; float: right;">
              <h3>Public</h3>
              <ul>
                <li>Company's premises</li>
                <li>Shared responsibility</li>
                <li>Little control</li>
              </ul>
            </div>
            <br>
            <div style="width: 100%; float: left; padding: 1em 0;">
              <h2 style="margin: auto; text-align: center;">Deployment</h2>
            </div>
            <div class="fragment" style="width: 49%; float: left;">
              <h3>Hybrid</h3>
              <ul>
                <li>Combine private/public</li>
                <li>Same benefits/drawbacks</li>
                <li>Mix and match</li>
              </ul>
            </div>
            <div class="fragment" style="width: 49%; float: right;">
              <h3>Community</h3>
              <ul>
                <li>"Private" with partners</li>
                <li>Economy of scale</li>
                <li>Shared everything</li>
              </ul>
            </div>
          </section>

          <section data-state="black_overlay logo 1" data-background="./files/cloud_1.svg" data-transition="none" data-background-position="left bottom" data-background-size="cover" id="flavours" data-state="flavours" style="margin-top: 8%;">
          <style>
            /* fade-out fragments with class 'vanish' occupy no space after disappearing */
            .vanish.fragment.fade-out.visible:not(.current-fragment) {
              height:0px;
            }
          </style>
            <h2>Computing Flavours</h2>
            <div style="float: right; width: 50%; height: 15em; font-size: smaller;">
            <ul>
              <li><b>Cloud</b></li>
              <ul class="fragment fade-out vanish" data-fragment-index="2">
                <li class="fragment fade-up" data-fragment-index="1" id="cloud_2">"Someone else's computer"</li>
              </ul>
              <li class="fragment fade-up" data-fragment-index="3" id="fog_1"><b>Fog</b> (<b>Cloudlet</b> Node)</li>
              <ul class="fragment fade-out vanish" data-fragment-index="5">
                <li class="fragment fade-up" data-fragment-index="3">Centralization can limit performance</li>
                <li class="fragment" data-fragment-index="4" id="fog_2"><b>Cloudlets</b> carry load, improve speed</li>
              </ul>
              <li class="fragment" data-fragment-index="6" id="edge_1"><b>Edge</b> (Device)</li>
              <ul class="fragment fade-out vanish" data-fragment-index="9">
                <li class="fragment" data-fragment-index="6" >IOT devices connected to cloud</li>
                <li class="fragment" data-fragment-index="7" id="edge_2">Can clutter bandwidth, storage</li>
                <li class="fragment" data-fragment-index="8" id="edge_3">Pre-processing reduces both</li>
              </ul>
              <li class="fragment" data-fragment-index="10" id="dew_1"><b>Dew</b> (Device)</li>
              <ul class="fragment" data-fragment-index="10">
                <li class="fragment" data-fragment-index="10">Devices need data from the cloud</li>
                <li class="fragment" data-fragment-index="11" id="dew_2">Limited service without internet</li>
                <li class="fragment" data-fragment-index="12" id="dew_3">Data remains on device, enabling functionality</li>
                <ul class="fragment" data-fragment-index="13">
                  <li>Storage: Dropbox</li>
                  <li>Software: {App,Play}Store</li>
                  <li>Platform: Github</li>
                </ul>
              </ul>
            </ul>
            <div style="height: 10em; visibility: hidden;">
              <!-- push up the above div, prevent it from moving -->
            </div>
            <!-- start pre-load images for background-image switching -->
            <img data-src="./files/cloud_1.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/cloud_2.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/fog_1.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/fog_2.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/edge_1.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/edge_2.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/edge_3.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/dew_1.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/dew_2.svg" style="visibility:hidden; height:0px; width:0px;" />
            <img data-src="./files/dew_3.svg" style="visibility:hidden; height:0px; width:0px;" />
            <!-- end pre-load images -->
          </section>

          <section data-state="black_overlay 4 logo yellow_flag" data-background="./files/oprah.gif" style="height=100vh; width100vw;">
            <!--
              https://giphy.com/gifs/amypoehlersmartgirls-reaction-excited-oprah-xT0BKqB8KIOuqJemVW
            -->
            <h3>You get a service!<span class="fragment">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;YOU get a service!!</span></h3>
            <div style="height: 30vh;">
            </div>
            <h2 class="fragment">Everybody gets a service!!!</h2>
            <font size="1">Gif source: <a href="https://media.giphy.com/media/xT0BKqB8KIOuqJemVW/source.gif">https://media.giphy.com/media/xT0BKqB8KIOuqJemVW/source.gif</a></font>
          </section>

          <section data-state="black_overlay 6 logo yellow_flag" data-background="./files/container-1638068_1920_crop.jpg" style="height=100vh; width100vw;">
            <!--
              Image by <a href="https://pixabay.com/users/kliempictures-3066210/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1638068">Alexander Kliem</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1638068">Pixabay</a><Paste>
            -->
            <h2>Services and Responsibilities</h2>
            <style type="text/css" media="screen">
              .vertical {
                -ms-writing-mode: tb-rl;
                -webkit-writing-mode: vertical-rl;
                writing-mode: vertical-rl;
                /*transform: rotate(180deg);*/
                white-space: nowrap;
              }

              /* Tooltip container */
              .tooltip {
                position: relative;
                display: inline-block;
                /*border-bottom: 1px dotted black;*/ /* If you want dots under the hoverable text */
              }

              /* Tooltip text */
              .tooltip .tooltiptext {
                /*visibility: hidden;*/
                width: 200px;
                background-color: #555;
                color: #fff;
                text-align: center;
                padding: 5px 0;
                border-radius: 6px;

                /* Position the tooltip text */
                position: absolute;
                z-index: 1;
                bottom: 125%;
                left: 50%;
                margin-left: -100px;

                /* Fade in tooltip */
                opacity: 0;
                transition: opacity 0.3s;
              }

              /* Tooltip arrow */
              .tooltip .tooltiptext::after {
                content: "";
                position: absolute;
                top: 100%;
                left: 50%;
                margin-left: -5px;
                border-width: 5px;
                border-style: solid;
                border-color: #555 transparent transparent transparent;
              }

              /* Show the tooltip text when you mouse over the tooltip container */
              .tooltip:hover .tooltiptext {
                visibility: visible;
                opacity: 1;
              }
            </style>
            <table style="font-size: 55%;">
              <tr>
                <th style="border-bottom: none;" class="fragment fade-right" data-fragment-index="2">Mouseover for examples ➡️</th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">On-prem</span><span class="tooltiptext">Server in your basement</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Colocation</span><span class="tooltiptext">Server in someone else's basement</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Hosting</span><span class="tooltiptext">Rent-a-machine</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Infra. aaS</span><span class="tooltiptext">Virtualized, dynamic&nbsp;scaling</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Container aaS</span><span class="tooltiptext">Docker, Kubernetes, Swarm</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Platform aaS</span><span class="tooltiptext">Databases, Spark, Google&nbsp;AppEngine</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Functions aaS</span><span class="tooltiptext">"Serverless", AWS&nbsp;Lambda, Azure&nbsp;Functions</span></span></th>
                <th style="border-bottom: none;"><span class="tooltip"><span class="vertical">Software aaS</span><span class="tooltiptext">Office&nbsp;365, Google&nbsp;Docs, WhatsApp</span></span></th>
              </tr>
              <tr>
                <td></td>
                <td>🏢</td>
                <td>🏭</td>
                <td>🏨</td>
                <td>🖥️</td>
                <td>📦</td>
                <td>🚉</td>
                <td>📈</td>
                <td>🍦</td>
              </tr>
              <tr>
                <td>Functions, Data</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>☁️</td>
              </tr>
              <tr>
                <td>Application</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>☁️</td>
                <td>☁️</td>
              </tr>
              <tr>
                <td>Runtime</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
              </tr>
              <tr>
                <td>OS</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
              </tr>
              <tr>
                <td>Virtualization</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
              </tr>
              <tr>
                <td>Servers, Network, Storage</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
              </tr>
              <tr>
                <td>Data Center</td>
                <td>👩‍💻</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
                <td>☁️</td>
              </tr>
              <tr class="fragment" data-fragment-index="1">
                <td>*Identity &amp; Access Management (IAM)</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
                <td>👩‍💻</td>
              </tr>
            </table>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/application-1756279_1920.jpg" style="height=100vh; width100vw;">
            <h2>Cost Control</h2>
            <ul>
              <li>Usually pay per use</li>
              <li>Discount for bulk resources</li>
              <li>Excess capacity on-demand</li>
              <ul>
                <li>No Service Level Agreements</li>
                <li>Preemptible jobs only</li>
                <li>Examples:</li>
                <ul>
                  <li>AWS Spot</li>
                  <li>Azure Low-Priority VM</li>
                  <li>Google Preemptible VM Instances</li>
                </ul>
              </ul>
            </ul>
          </section>

        </section>

        <section data-background-opacity=".4" style="height=100vh; width100vw;">

          <section id="scaling" data-state="black_overlay yellow_flag logo" data-background="./files/green-tree-python-543243_1920.jpg" style="height=100vh; width100vw;">
            <!--
              Image by <a href="https://pixabay.com/users/blickpixel-52945/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=543243">Michael Schwarzenberger</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=543243">Pixabay</a>
            -->
            <h2>Scaling Methods</h2>
          </section>

          <section data-state="black_overlay yellow_flag logo" data-background="./files/tube-1209419_1280.jpg" style="height=100vh; width100vw;">
            <h2>Big Data Analytics Platforms</h2>
            <table style="font-size: x-large;">
              <tr>
                <th>Scaling</th>
                <th>Platform</th>
                <th>Scalability</th>
                <th>Data I/O</th>
                <th>Real time</th>
                <th>Data size</th>
              </tr>
              <tr>
                <td style="border-bottom: none;">Horizontal</td>
                <td>P2P</td>
                <td>⭐⭐⭐⭐⭐</td>
                <td>⭐</td>
                <td>⭐</td>
                <td>⭐⭐⭐⭐⭐</td>
              </tr>
              <tr>
                <td></td>
                <td>Spark</td>
                <td>⭐⭐⭐⭐⭐</td>
                <td>⭐⭐⭐</td>
                <td>⭐⭐</td>
                <td>⭐⭐⭐⭐</td>
              </tr>
              <tr>
                <td style="border-bottom: none;">&nbsp;Vertical</td>
                <td>HPC</td>
                <td>⭐⭐⭐</td>
                <td>⭐⭐⭐⭐</td>
                <td>⭐⭐⭐</td>
                <td>⭐⭐⭐⭐</td>
              </tr>
              <tr>
                <td style="border-bottom: none;"></td>
                <td>Multicore</td>
                <td>⭐⭐</td>
                <td>⭐⭐⭐⭐</td>
                <td>⭐⭐⭐</td>
                <td>⭐⭐</td>
              </tr>
              <tr>
                <td style="border-bottom: none;"></td>
                <td>GPU</td>
                <td>⭐⭐</td>
                <td>⭐⭐⭐⭐⭐</td>
                <td>⭐⭐⭐⭐⭐</td>
                <td>⭐⭐</td>
              </tr>
              <tr>
                <td style="border-bottom: none;"></td>
                <td>FPGA</td>
                <td>⭐</td>
                <td>⭐⭐⭐⭐⭐</td>
                <td>⭐⭐⭐⭐⭐</td>
                <td>⭐⭐</td>
              </tr>
            </table>
            <div style="width: 100%;">
              <font size="1">Source: <a href="https://journalofbigdata.springeropen.com/articles/10.1186/s40537-014-0008-6">A survey on platforms for big data analytics</a> by Dilpreet Singh and <a href="mailto:reddy@cs.wayne.edu">Chandan K Reddy</a></font>
            </div>
          </section>

          <section data-state="black_overlay yellow_flag logo" data-background="./files/processor-3079887_1920.jpg" style="height=100vh; width100vw;">
            <!-- Image by <a href="https://pixabay.com/users/mastertux-470906/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3079887">MasterTux</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3079887">Pixabay</a> -->
            <h3>CPU: Multicore</h3>
              <ul>
                <li>Widely available</li>
                <li>Multiple CPUs per chip</li>
                <li>CPUs can work independently, ...</li>
                <li>... but might need to communicate</li>
                <li>Not all problems are parallelizable!</li>
                <li>Good support from common programming languages</li>
              </ul>
          </section>

          <section data-state="black_overlay yellow_flag logo" data-background="./files/pc-2798017_1920_extended.jpg" style="height=100vh; width100vw;">
            <!--
              Image by <a href="https://pixabay.com/users/kampfbox-1527803/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2798017">Abigail Diseno</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2798017">Pixabay</a>
            -->
            <h3>GPU: Graphics Processing Unit</h3>
              <ul>
                <li>Repurposed</li>
                <li>Matrix operations</li>
                <li>Thousands of weak cores</li>
                <li>Parallel computing frameworks</li>
                <ul>
                  <li><a href="https://developer.nvidia.com/cuda-toolkit">CUDA</a>
                  <li><a href="https://rocm.github.io/">ROCm</a>
                </ul>
                <li>APIs for many coding languages</li>
              </ul>
          </section>

          <section data-state="black_overlay yellow_flag logo" data-background="./files/pc-2798017_1920_extended.jpg" style="height=100vh; width100vw;">
            <!-- Image by <a href="https://pixabay.com/users/mastertux-470906/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3079887">MasterTux</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3079887">Pixabay</a> -->
            <h2>Colab Notebook Exercise</h2>
            <h4>Pokemon & Passwords</h4>
          </section>

          <section data-state="black_overlay 6 yellow_flag logo" data-background="./files/29954390167_a106997601_k.jpg" style="height=100vh; width100vw;">
            <h3>FPGA: Field-programmable gate array</h3>
              <ul class="fragment">
                <li>Program your chip...</li>
                <li>... with a hardware description language</li>
                <li>Connect logic gates and RAM</li>
                <li>Highly tailored for specific tasks</li>
                <li>Very low level!</li>
              </ul>
            <div style="width: 100%; float: left;">
              <font size="1">Image: <a href="https://www.flickr.com/photos/blakespot/29954390167">F18A FPGA-based TMS9918A video processor upgrade</a> by <a href="https://www.flickr.com/photos/blakespot/">Blake Patterson</a> under <a href="https://creativecommons.org/licenses/by/2.0/">CC BY 2.0</a></font>
            </div>
          </section>
        </section>

        <section style="height=100vh; width100vw;">
          <!-- https://www.pexels.com/photo/two-person-standing-under-lot-of-bullet-cctv-camera-374103/ -->

          <section id="security" data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Security</h2>
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Provider</h2>
            <ul>
              <li>Security delegated: SLA's and contracts</li>
              <div class="fragment">
                <li>High security, but pay attention to certificates:</li>
                <ul>
                  <li>ISAE 3402 (type II, SOC 2)</li>
                  <li>ISO 27000, ISO 20000, ISO 9000</li>
                  <li>Privacy Certification</li>
                  <li>Right to examine?</li>
                </ul>
              </div>
              <div class="fragment">
                <li>Often controls available</li>
                <ul>
                  <li>Monitoring, logging, detection, configuration management, automatic governance, rule enforcement</li>
                </ul>
              </div>
            </ul>
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Client</h2>
            <ul>
              <li>Client accountable for data breach/loss</li>
              <li>Choose vendor(s) wisely</li>
              <li>New skills needed</li>
              <li>Best practices</li>
              <ul>
                <li>Backups</li>
                <li>Encryption</li>
                <li>Key management</li>
                <li>Password policy, MFA</li>
              </ul>
            </ul>
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Analyses</h2>
            <br>
            <div style="width: 30%; float: left;">
              <h3>Threat</h3>
              <ul>
                <li>Criminals/hackers</li>
                <li>Human mistakes</li>
                <li>State actors</li>
                <li>Malware</li>
              </ul>
            </div>
            <div class="fragment" style="width: 39%; float: left;">
              <h3>Vulnerability</h3>
              <ul>
                <li>Organizational</li>
                <li>Procedural</li>
                <li>Technical</li>
              </ul>
            </div>
            <div class="fragment" style="width: 30%; float: left;">
              <h3>Impact</h3>
              <ul>
                <li>Confidentiality</li>
                <li>Availability</li>
                <li>Integrity</li>
              </ul>
              <br>
              ... of data
            </div>
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Data Location</h2>
            <ul>
              <li>All governments can (do!) spy</li>
              <li>Trust in the government</li>
              <li>Laws might differ</li>
            </ul>
            <br>
            <br>
            Influence on risk profile
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Privacy</h2>
            <ul>
              <li>NSI laws</li>
              <li><a href="https://europa.eu/youreurope/business/dealing-with-customers/data-protection/data-protection-gdpr/index_en.htm">GDPR</a></li>
              <li>Data locations</li>
              <ul>
                <li>European Economic Area (EEA): also <a href="https://europa.eu/youreurope/business/dealing-with-customers/data-protection/data-protection-gdpr/index_en.htm">GDPR</a></li>
                <li>non-EU: <a href="https://ec.europa.eu/info/law/law-topic/data-protection/international-dimension-data-protection/rules-international-data-transfers_en">strict rules</a></li>
                <li>US: <a href="https://www.privacyshield.gov/">Privacy Shield</a> or appropriate safeguards</li>
              </ul>
            </ul>
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
          <style>
            /* fade-out fragments with class 'vanish' occupy no space after disappearing */
            .vanish.fragment.fade-out.visible:not(.current-fragment) {
              height:0px;
            }
          </style>
            <h2>Attack Vectors</h2>
            <div style="max-height: 20vh;">
            <ul>
                <li>Outsiders</li>
                <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                  <li>Law enforcement</li>
                  <li>State actors</li>
                  <li>Hackers</li>
                </ul>
              <div id="previous" class="fragment fade-up">
              <li>Client</li>
              <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                <li>Hardware: keyloggers</li>
                <li>Software: viruses</li>
                <li>Wetware: social engineering, insiders, human errors</li>
              </ul>
              </div>
              <div id="previous" class="fragment fade-up">
                <li>Connection</li>
                <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                  <li>WiFi</li>
                  <li>LAN</li>
                  <li>Man-in-the-Middle</li>
                  <li>DDOS</li>
                </ul>
              </div>
              <div id="previous" class="fragment fade-up">
                <li>Provider</li>
                <ul>
                  <li>Hardware: compromized hardware</li>
                  <li>Software: backdoors, virtualization software, OS</li>
                  <li>Wetware: social engineering, insiders, human errors</li>
                  <li>Clients: neighboring VMs</li>
                </ul>
              </div>
            </ul>
            </div>
          </section>

          <section data-state="black_overlay logo yellow_flag 7" data-background="./files/architecture-building-camera-374103.jpg" style="height=100vh; width100vw;">
            <h2>Counter Measures</h2>
            <ul>
              <li>Deterrent (... or else!)</li>
              <li>Prevention</li>
              <ul>
                <li>Encryption</li>
                <li>Good passwords, good password policies</li>
                <li>Multi-factor authentication</li>
              </ul>
              <li>(Detective)</li>
              <li>(Corrective)</li>
            </ul>
          </section>

        </section>

        <section>
          <!--
            Image by <a href="https://pixabay.com/users/rawpixel-4283981/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3268750">rawpixel</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=3268750">Pixabay</a>
          -->
          <section data-state="black_overlay logo yellow_flag" id="best_practices" data-background="./files/document-3268750_1920_shift.jpg">
            <h2>Best Practices</h2>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg">
            <h2>Encryption</h2>
            <ul>
              <li>In transit: HTTPS, SSL</li>
              <li>At rest: RSA, Ed25519</li>
              <ul>
                <li>Crypto shredding</li>
              </ul>
              <li>Choose algorithm</li>
              <ul>
                <li>Risk profile: How long does it need to be secure?</li>
                <li>Key Length: security vs. computation resources</li>
                <li>Maturity, commitee approval</li>
                <li>Symmetric/asymmetric</li>
                <li>Quantum proof?</li>
              </ul>
              <li>Sane key management</li>
            </ul>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg">
            <h2>Key Management</h2>
            <ul>
              <li>Use</li>
              <li>Storage</li>
              <li>Exchange</li>
              <li>Replacement</li>
              <li>Crypto shredding</li>
              <li>Generation: Bring your own key?<span class="fragment"> ☠️</span></li>
            </ul>
            <br>
            <br>
            <div class="fragment">
              Do it yourself? Let the cloud manage?
            </div>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg">
            <style type="text/css" media="screen">
            /* fade-out fragments with class 'vanish' occupy no space after disappearing */
            .vanish.fragment.fade-out.visible:not(.current-fragment) {
              height:0px;
            }

            /* Tooltip container */
            .tooltip-bottom {
              position: relative;
              display: inline-block;
              /*border-bottom: 1px dotted black;*/ /* If you want dots under the hoverable text */
            }

            /* Tooltip text */
            .tooltip-bottom .tooltiptext {
              /*visibility: hidden;*/
              width: 400px;
              background-color: #555;
              color: #fff;
              text-align: center;
              padding: 5px 15px;
              border-radius: 6px;

              /* Position the tooltip text */
              position: absolute;
              z-index: 1;
              top: 100%;
              left: 50%;
              margin-left: -200px;

              /* Fade in tooltip */
              opacity: 0;
              transition: opacity 0.3s;
            }

            /* Tooltip arrow */
            .tooltip-bottom .tooltiptext::after {
              content: "";
              position: absolute;
              bottom: 100%;
              left: 50%;
              margin-left: -5px;
              border-width: 5px;
              border-style: solid;
              border-color: transparent transparent #555 transparent;
            }

            /* Show the tooltip text when you mouse over the tooltip container */
            .tooltip-bottom:hover .tooltiptext {
              visibility: visible;
              opacity: 1;
            }

            </style>
            <h2>Backups</h2>
            <a href="https://myspace.com">https://myspace.com</a>: <span class="tooltip-bottom">Data loss!<span class="tooltiptext" style="font-size: large;">As a result of a server migration project, any photos, videos, and audio files you uploaded more than three years ago may no longer be available on or from Myspace. We apologize for the inconvenience.</span></span>
            <br>
            <ul>
              <div id="previous" class="fragment fade-up">
                <li>Types</li>
                <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                  <li>System: full</li>
                  <li>Incremental: changed files</li>
                  <li>Differential: changed data</li>
                </ul>
                <div id="previous" class="fragment fade-up">
                  <li>Interval</li>
                  <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                    <li>Scheduled: fixed times</li>
                    <li>Continuous: triggered</li>
                  </ul>
                </div>
              </div>
              <div id="previous" class="fragment fade-up">
                <li>Strategy</li>
                <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                  <li>Location: on-site/off-site</li>
                  <li>Redundancy</li>
                  <li>3-2-1 ?</li>
                  <ul>
                    <li>3 versions</li>
                    <li>2 storage media</li>
                    <li>1 off-site</li>
                  </ul>
                </ul>
              </div>
              <div id="previous" class="fragment fade-up">
                <li>Rotation</li>
                <div style="height: 0;">
                  <table id="next" class="fragment fade-out vanish">
                    <tr>
                      <th>1</th>
                      <th>2</th>
                      <th>3</th>
                      <th>4</th>
                      <th>5</th>
                      <th>6</th>
                      <th>7</th>
                      <th>...</th>
                    </tr>
                    <tr>
                      <td>A</td>
                      <td> </td>
                      <td>A</td>
                      <td> </td>
                      <td>A</td>
                      <td> </td>
                      <td>A</td>
                      <td> </td>
                    </tr>
                    <tr>
                      <td> </td>
                      <td>B</td>
                      <td> </td>
                      <td> </td>
                      <td> </td>
                      <td>B</td>
                      <td> </td>
                      <td> </td>
                    </tr>
                    <tr>
                      <td> </td>
                      <td> </td>
                      <td> </td>
                      <td>C</td>
                      <td> </td>
                      <td> </td>
                      <td> </td>
                      <td> </td>
                    </tr>
                  </table>
                </div>
              </div>
              <div id="previous" class="fragment fade-up">
                <li>Optimization</li>
                <ul id="next" class="fragment fade-out vanish" style="height: 0;">
                  <li>Compression</li>
                  <li>Deduplication</li>
                  <li>Encryption</li>
                </ul>
              </div>
              <div id="previous" class="fragment fade-up">
                <li>Test</li>
                <ul>
                  <li>Integrity</li>
                  <li>Recovery</li>
                </ul>
              </div>
            </ul>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg">
            <h2>Password Attack type</h2>
            <div style="width: 50%; float: left; font-size: smaller;">
              <h4>Online</h4>
              e.g. website login, PC login
              <br>
              <ul>
                <li style="margin-top: .5em;">6s / try</li>
                <li>Change every year</li>
                <li>1 / 1,000,000 chance</li>
                <div class="fragment">
                  <li style="margin-top: .5em;">5e6 tries / year</li>
                  <li>5e12 passwords</li>
                  <li>log2(5e12) ≈ 42</li>
                </div>
              </ul>
              <div class="fragment" style="margin-top: .5em;">
                42 bits of entropy / 7 chars
              </div>
              <font size="1">source: <a href="https://keepassxc.org">KeepassXC password manager</a></font>
            </div>
            <div style="width: 50%; float: right; font-size: smaller;">
              <h4>Offline</h4>
              e.g. leaked password file
              <br>
              <ul>
                <div class="fragment">
                  <li style="margin-top: .5em;">GPU cluster: 1ps / try</li>
                  <li>Change every year</li>
                  <li>1 / 1,000,000 chance</li>
                </div>
                <div class="fragment">
                  <li style="margin-top: .5em;">3e18 tries / year</li>
                  <li>3e24 passwords</li>
                  <li>log2(3e24) ≈ 81</li>
                </div>
              </ul>
              <br>
              <div class="fragment" style="margin-top: .5em;">
              81 bits of entropy / 13 chars
              </div>
              <div class="fragment" style="margin-top: .5em;">
              ⬅️ 42 bits cracked in 44s!
              </div>
            </div>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg">
            <h2>Password Quiz</h2>
            <div style="width: 40%; float: left;">
              <pre><code data-trim data-noescape class="language-txt" style="padding-left: 1em;">
                football
                8 chars
              </code></pre>
              <pre><code data-trim data-noescape class="language-txt" style="padding-left: 1em;">
                !@#$%^&*
                8 chars
              </code></pre>
              <pre><code data-trim data-noescape class="language-txt" style="padding-left: 1em;">
                MyV3ryL0ngPa$$w0rd!
                19 chars
              </code></pre>
              <pre><code data-trim data-noescape class="language-txt" style="padding-left: 1em;">
                eF]+\
                5 chars
              </code></pre>
              <pre><code data-trim data-noescape class="language-txt" style="padding-left: 1em;">
                correcthorsebatterystaple
                25 chars
              </code></pre>
              <pre><code data-trim data-noescape class="language-txt" style="padding-left: 1em;">
                J?{!.Mw'&_L6
                12 chars
              </code></pre>
            </div>
            <div style="width: 25%; float: left;">
              <pre class="fragment"><code data-trim data-noescape class="md" style="padding-left: 1em;">
                3 bits entropy
                <span style="color: red;">poor</span> / <span style="color: red;">poor</span>
              </code></pre>
              <pre class="fragment"><code data-trim data-noescape class="md" style="padding-left: 1em;">
                15 bits entropy
                <span style="color: red;">poor</span> / <span style="color: red;">poor</span>
              </code></pre>
              <pre class="fragment"><code data-trim data-noescape class="md" style="padding-left: 1em;">
                31 bits entropy
                <span style="color: orangered;">weak</span> / <span style="color: red;">poor</span>
              </code></pre>
              <pre class="fragment"><code data-trim data-noescape class="md" style="padding-left: 1em;">
                32 bits entropy
                <span style="color: yellow;">good</span> / <span style="color: red;">poor</span>
              </code></pre>
              <pre class="fragment"><code data-trim data-noescape class="md" style="padding-left: 1em;">
                47 bits entropy
                <span style="color: yellow;">good</span> / <span style="color: orangered;">weak</span>
              </code></pre>
              <pre class="fragment"><code data-trim data-noescape class="md" style="padding-left: 1em;">
                76 bits entropy
                <span style="color: green;">excellent</span> / <span style="color: yellow;">good</span>
              </code></pre>
            </div>
            <div style="width: 35%; float: right;">
              <h4>Online</h4>
              <pre><code data-trim data-noescape class="plaintext" style="padding-left: 1em;">
                < 20 bits: <span style="color: red;">poor</span>
                > 20 bits: <span style="color: orangered;">weak</span>
                > 32 bits: <span style="color: yellow;">good</span>
                > 50 bits: <span style="color: green;">excellent</span>
              </code></pre>
              <br>
              <h4>Offline</h4>
              <pre><code data-trim data-noescape class="plaintext" style="padding-left: 1em;">
                < 40 bits: <span style="color: red;">poor</span>
                > 40 bits: <span style="color: orangered;">weak</span>
                > 65 bits: <span style="color: yellow;">good</span>
                > 100 bits: <span style="color: green;">excellent</span>
              </code></pre>
            </div>

          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg" style="height=100vh; width100vw;">
            <h2>Colab Notebook Homework 2</h2>
            <h4>Password Cracking</h4>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg" style="height=100vh; width100vw;">
            <h2>Passwords</h2>
            <ul>
              <li>What's your risk profile?</li>
              <li>Password policy for humans</li>
              <li>Complex ≠ better</li>
              <li>Test against breached passwords (HashCat)</li>
              <li>Longer is more secure (use password managers?)</li>
              <li>Don't change too often (systems!)</li>
              <li>No password hints</li>
              <li><b>Never reuse!</b></li>
              <li>Use MFA</li>
            </ul>
            <br>
            <font size="1">Sources: <a href="https://pages.nist.gov/800-63-3/">NIST Digital Identity Guidelines</a>, <a href="https://www.pluralsight.com/blog/security-professional/modern-password-guidelines">Pluralsight</a>, <a href="https://securityintelligence.com/the-new-nist-digital-identity-guidelines-and-what-they-mean-to-you/">IBM</a></font>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/document-3268750_1920_shift.jpg">
            <h2>Multi-factor Authentication (MFA)</h2>
            <div style="width: 50%; float: left;">
              <h3>Evidences</h3>
              Something you ...
              <ul style="padding-top: .5em;">
                <li>... know: password <span class="fragment" data-fragment-index="2">🧠</span></li>
                <li>... have: token <span class="fragment" data-fragment-index="3">💰</span></li>
                <li>... are: biometrics <span class="fragment" data-fragment-index="4">🔪</span></li>
                <li>(Location) <span class="fragment" data-fragment-index="5">🤪</span></li>
              </ul>
            </div>
            <div style="width: 50%; float: right;">
              <div class="fragment fade-left" data-fragment-index="1">
                <h3>Security</h3>
                <ul>
                  <li>How hard to forge?</li>
                  <ul>
                    <li>SMS not very secure</li>
                  </ul>
                  <li>How practical to use?</li>
                  <li>Exchangable?</li>
                </ul>
              </div>
            </div>
          </section>

        </section>

        <section data-background-opacity=".4" style="height=100vh; width100vw;">
          <!--
            Image by <a href="https://pixabay.com/users/Pixel-mixer-1197643/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1703294">Marcel Langthim</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1703294">Pixabay</a>
          -->

          <section id="discussion" data-state="black_overlay logo yellow_flag" data-background="./files/king-penguin-1703294_1920.jpg" style="height=100vh; width100vw;">
            <h2>Discussion</h2>
          </section>

          <section data-state="black_overlay logo yellow_flag" data-background="./files/king-penguin-1703294_1920.jpg" style="height=100vh; width100vw;">
            <div style="width: 50%; float: left;">
              <h2>Pros</h2>
              <ul contenteditable="true" style="font-size: smaller;">
                <!-- replace list with <li>...</li> -->
                <li><b>Reliability</b> - backup/sync</li>
                <li><b>Security</b> - opsec is hard!</li>
                <li><b>Ease of use</b> - setup, management, maintenance</li>
                <li><b>Cost</b> - pay-as-you-go, licenses</li>
                <li><b>Ubiquity</b> - availability, accessibility, sharing</li>
                <li><b>Agility</b> - deployment, scaling, prototyping</li>
                <li><b>Availability</b> - 24/7 available</li>
                <li><b>Power</b> - high-end hardware</li>
              </ul>
            </div>
            <div style="width: 50%; float: right;">
              <h2>Cons</h2>
              <ul contenteditable="true" style="font-size: smaller;">
                <!-- replace list with <li>...</li> -->
                <li><b>Reliability</b> - out of your control</li>
                <li><b>Security</b> - physical access, privacy</li>
                <li><b>Ease of use</b> - APIs, concepts</li>
                <li><b>Cost</b> - regular payment</li>
                <li><b>Internet connection</b> - reliability, bandwidth, ping</li>
                <li><b>Dependency</b> - ToS, service</li>
                <li><b>Vendor lock-in</b> - migration, lack of standards</li>
                <li><b>Control</b> - customization</li>
                <li><b>Transparency</b> - debugging</li>
              </ul>
            </div>
            <aside class="notes" data-markdown>
              # +
              + **Reliability** - backup/sync
              + **Security** - opsec is hard!
              + **Ease of use** - setup, management, maintenance
              + **Cost** - pay-as-you-go, licenses
              + **Ubiquity** - availability, accessibility, sharing
              + **Agility** - deployment, scaling, prototyping

              # -
              - **Reliability** - out of your control
              - **Security** - physical access, privacy
              - **Ease of use** - APIs, concepts
              - **Internet connection** - reliability, bandwidth, ping
              - **Dependency** - ToS, service
              - **Vendor lock-in** - migration, lack of standards
              - **Control** - customization
              - **Transparency** - debugging
            </aside>
          </section>

          </section>

        <section id="summary" data-state="black_overlay 3 logo yellow_flag" data-background="./files/note-pad-1215425_1920.jpg" style="height=100vh; width100vw;">
          <!--
            Image by <a href="https://pixabay.com/users/1681551-1681551/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1215425">Robert Armstrong</a> from <a href="https://pixabay.com/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=1215425">Pixabay</a>
          -->
          <div style="transform: rotate(-5deg); width: 72%; float: left; margin-left: 3vw;">
          <h2 style="color: black;">Summary</h2>
          <ul style="color: black;">
            <li>The cloud comes in many flavours,<br>requires new skills</li>
            <li>There are very different types of cloud solutions for different problems</li>
            <li>Security responsibilities are shared</li>
            <li>Privacy gets more complicated</li>
            <li>Best practices depend on risk profile</li>
          </ul>
          </div>
        </section>

        <section data-state="black_overlay 2 logo yellow_flag" data-background="./files/kermit-3657139_1920_stretch_2.jpg">
        </section>

      </div>
    </div>

    <script src="dist/reveal.js"></script>

    <script src="plugin/highlight/highlight.js"></script>
    <script src="plugin/markdown/markdown.js"></script>
    <script src="plugin/math/math.js"></script>
    <script src="plugin/notes/notes.js"></script>
    <script src="plugin/search/search.js"></script>
    <script src="plugin/zoom/zoom.js"></script>
    <!--
    <script src="reveal.js/4.3.1/reveal.js-plugins/menu/menu.js"></script>
    -->

    <script src="dist/theme/escience_5.1.0.js"></script>
    <script src="cloud_computing.js"></script>

    <script>
      // More info about initialization & config:
      // - https://revealjs.com/initialization/
      // - https://revealjs.com/config/
      Reveal.initialize({
        hash: true,

        // Automatically activate the scroll view when we the viewport falls
        // below the given width.
        scrollActivationWidth: 0,  // disabled

        // Force the scrollbar to remain visible
        scrollProgress: true,

        // Learn about plugins: https://revealjs.com/plugins/
        plugins: [ RevealMarkdown, RevealHighlight, RevealNotes ]
      });
    </script>
  </body>
</html>
